This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 866262 - Crash reporting assistant cannot install debug symbols
Crash reporting assistant cannot install debug symbols
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-runtime (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 18:57 EDT by Kerry
Modified: 2013-08-01 08:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:06:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 308411 None None None 2012-10-14 18:57:30 EDT

  None (edit)
Description Kerry 2012-10-14 18:57:30 EDT
Description of problem:
Something crashes. Crash assistant appears. Pressing 'install debug symbols' button pops up a terminal window, it doesn't install anything. Unable to report a crash because debug symbols cannot be installed. 

The problem appears to be that in the terminal window, it is calling the command 
'pkexec debuginfo-install' 
Not 
'pkexec debuginfo-install ktorrent' 

Because drkonqi doesn't specify the package to install debug symbols for, the command fails and symbols can never be installed by the assistant. The only workaround is to go to a terminal and manually enter 'debuginfo-install ktorrent' 

Version-Release number of selected component (if applicable):

$ rpm -q --whatprovides /usr/libexec/kde4/drkonqi 
kde-runtime-4.9.2-1.fc17.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Previously reported at https://bugs.kde.org/show_bug.cgi?id=308411
Comment 1 Kevin Kofler 2012-10-14 19:27:16 EDT
Uhm, if DrKonqi is passing an empty list to the debuginfo installation script, how is it supposed to know what it should install?

Maybe the real problem is that nothing useful is showing up in the backtrace, so DrKonqi doesn't know what to request symbols for?
Comment 2 Fedora End Of Life 2013-07-03 23:53:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 08:06:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.